# Module: `src\result_types.py`

Auto-generated from source. 4 struct(s) defined in this module.

## `src\result_types.py::ErrorInfo`

**Kind:** `dataclass`
**Defined at:** line 22

**Fields:**
- `kind: ErrorKind`
- `message: str`
- `source: str`
- `original: BaseException | None`


## `src\result_types.py::NilPath`

**Kind:** `dataclass`
**Defined at:** line 46

**Fields:**
- `exists: bool`
- `read_text: str`
- `errors: ClassVar[list[ErrorInfo]]`


## `src\result_types.py::NilRAGState`

**Kind:** `dataclass`
**Defined at:** line 54

**Fields:**
- `enabled: bool`
- `is_empty_result: bool`
- `errors: ClassVar[list[ErrorInfo]]`


## `src\result_types.py::Result`

**Kind:** `dataclass`
**Defined at:** line 32

**Fields:**
- `data: T`
- `errors: list[ErrorInfo]`

